Signed-off-by: Michael Jeanson <mjeanson@efficios.com>
-#!/bin/sh -exu
+#!/bin/bash -exu
#
# Copyright (C) 2019 Michael Jeanson <mjeanson@efficios.com>
# Copyright (C) 2019 Francis Deslauriers <francis.deslauriers@efficios.com>
# You should have received a copy of the GNU General Public License
# along with this program. If not, see <http://www.gnu.org/licenses/>.
+set -o pipefail
+
PYTHON3=python3
PYENV_HOME="$WORKSPACE/.pyenv/"
cd src/babeltrace
black --diff --check . | tee ../../black.out || exit_code=1
-flake8 | tee ../../flake8.out || exit_code=1
+flake8 --output-file=../../flake8.out --tee || exit_code=1
exit $exit_code